# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'platinum/deployer/version'

Gem::Specification.new do |spec|
  spec.name          = "platinum-deployer"
  spec.version       = Platinum::Deployer::VERSION
  spec.authors       = ["MacKinley Smith"]
  spec.email         = ["smithmackinley@gmail.com"]

  spec.summary       = 'Platinum Deployer'
  spec.description   = 'Deploys Platinum projects to simulators, devices, and more.'
  # spec.homepage      = "TODO: Put your gem's website or public repo URL here."
  spec.homepage      = 'http://rubygems.org/gems/platinum-deployer'
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # delete this section to allow pushing this gem to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  # end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  # spec.files         = Dir["lib/**/*", "spec/**/*", "bin/*"]
  spec.bindir        = "exe"
  # spec.bindir        = "bin"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  # spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec"

  # spec.add_dependency 'optparse'
  spec.add_dependency 'haml'
  # spec.add_dependency 'yaml'
  spec.add_dependency 'json'
  spec.add_dependency 'deep_merge'
  # spec.add_dependency 'open3'
  spec.add_dependency 'open4'
  spec.add_dependency 'git'
  spec.add_dependency 'awesome_print'
  spec.add_dependency 'colorize'
  # spec.add_dependency 'pty'
  spec.add_dependency 'expect'
  spec.add_dependency 'highline'
end
